MillionSend Docs

/segments/{id}

PATCH
/segments/{id}

Path Parameters

id*string
Formatuuid

Request Body

application/json
  1. body
name?string
Length1 <= length
filter?

Response Body

Segment updated

application/json
  1. response
object*"segment"
Value in"segment"
id*string
Formatuuid
name*string
filter*
created_at*string
Example Request
curl -X PATCH 'https://api.millionsend.com/segments/497f6eca-6276-4993-bfeb-53cbbbba6f08' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "object": "segment",  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "name": "string",  "filter": {    "match": "all",    "conditions": [      {        "field": "string",        "op": "string",        "value": "string"      }    ]  },  "created_at": "string"}